hardware-toolboxes-get-many¶
Source¶
Repository:
jef-systems/jef-hardware-backendSource Run ID:
25090515545Source SHA:
444376867c764658b4ed0286bc44ff0ac8c80995Module:
hardwareDocumentation Scope:
getLambda:
jef-hardware-get-8
Endpoint¶
API Name:
jef-hardwareAction Name:
getMethod:
GETScope Label:
GETResource Path:
/hardware-toolboxes-get-manyComplete Endpoint:
https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-toolboxes-get-manyLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-hardware-get-8curl payload mode:
query_string
API Gateway Description¶
Function: jef-hardware-get-8
API Name: jef-hardware
Action: get
Method: GET
Resource Path: /hardware-toolboxes-get-many
Table:
- table: jef-hardware-toolboxes
- operation: get-many
Payload Schema:
- gsi_1_pk: entity_number
- gsi_1_sk: toolbox_number
Payload Example:
- gsi_1_pk: BOX-0001
- gsi_1_sk: 2026-04-24T10:00:00+08:00
Response Schema:
- exists: boolean
- message: string
- items: [{"toolbox_number":"string","entity_number":"string","toolbox_code":"string","toolbox_name":"string","equipment_name":"string","category":"string","included_items":["string"],"daily_rate":"number","status":"string","updated_at":"string"}]
Request Payload¶
{
"gsi_1_pk": "entity_number",
"gsi_1_sk": "toolbox_number"
}
Response¶
{
"exists": "boolean",
"message": "string",
"items": "[{\"toolbox_number\":\"string\",\"entity_number\":\"string\",\"toolbox_code\":\"string\",\"toolbox_name\":\"string\",\"equipment_name\":\"string\",\"category\":\"string\",\"included_items\":[\"string\"],\"daily_rate\":\"number\",\"status\":\"string\",\"updated_at\":\"string\"}]"
}
CMD curl¶
curl "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-toolboxes-get-many?gsi_1_pk=BOX-0001&gsi_1_sk=2026-04-24T10%3A00%3A00%2B08%3A00"
PowerShell curl¶
curl.exe "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-toolboxes-get-many?gsi_1_pk=BOX-0001&gsi_1_sk=2026-04-24T10%3A00%3A00%2B08%3A00"